conflict with conditions validator

Description

*This issue has moved*

This issue has been moved permanently to Adaptavist's Product Support JIRA instance.

All existing users of this instance should have the same username on our Product Support instance. However, you will very likely need to click on the
Can't access your account link in order to reset to a new password.

when we display an issue that has a groovy script as a condition on one of the transitions, we get a nasty error from conditions validator.

We do not get errors when running groovyrunner-2.0.7 but this version does not allow the use of a groovy script as a condition.

On all groovyrunner versions from 2.0.9 thru 2.1-Beta-8, we receive the following error from Conditions Validator:

Error rendering 'com.atlassian.jira.jira-view-issue-plugin:activitymodule'.

We are using the latest Conditions Validator and the vendor, intenso, stated that the fault of the error may lie within the scriptrunner plugin.

It could also be in the groovy script itself - I am a beginner at groovy scripting. attached the script as a text file (just need to remove the .txt suffix).

Environment

redhat linux

Assignee

Jamie Echlin

Reporter

Michael Blake

Labels

Internal Complexity

Unknown

Internal Value

Unknown

Fix versions

Affects versions

Priority

Major
Configure